# Uses of Enum Class
org.apache.sling.auth.core.spi.AuthenticationHandler.FAILURE_REASON_CODES

Packages that use AuthenticationHandler.FAILURE_REASON_CODES
Package
Description
org.apache.sling.auth.core.spi
Provides API to be implemented by provides of authentication mechanisms.

## Uses of AuthenticationHandler.FAILURE_REASON_CODES in org.apache.sling.auth.core.spi

Methods in org.apache.sling.auth.core.spi that return AuthenticationHandler.FAILURE_REASON_CODES
Modifier and Type
Method
Description
`static AuthenticationHandler.FAILURE_REASON_CODES`
AuthenticationHandler.FAILURE_REASON_CODES.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static AuthenticationHandler.FAILURE_REASON_CODES[]`
AuthenticationHandler.FAILURE_REASON_CODES.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.